package com.gh.gamecenter.entity

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class ArchiveEntity(
    @SerializedName("_id")
    var id: String = "",
    var name: String = "",
    var desc: String = "",
    var url: String = "",
    @SerializedName("config_url")
    var configUrl: String = "",
    var md5: String = "",
    @SerializedName("game_version")
    var gameVersion: String = "",
    var count: Count = Count(),
    var time: Time = Time(),
    @SerializedName("is_shared")
    var isShared: Boolean = false,
    var user: UserEntity = UserEntity(),

    // 本地字段
    @SerializedName("game_id")
    var gameId: String = ""
) : Parcelable {

    @Parcelize
    data class Count(
        var usage: Int = 0,
    ) : Parcelable

    @Parcelize
    data class Time(
        var create: Long = 0L,
        var update: Long = 0L,
    ) : Parcelable
}